Bug 457155 - Tomboy wakes up hard disk frecuently
Tomboy wakes up hard disk frecuently
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
Blocks: 454582
  Show dependency treegraph
Reported: 2008-07-29 17:50 EDT by Jean-Pierre Rupp
Modified: 2013-01-09 23:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jean-Pierre Rupp 2008-07-29 17:50:48 EDT
Description of problem:

Tomboy wakes up hard disk every 20 seconds aproximately. I was researching on
reducing read/write accesses to hard disk when the system is idle, so hard disk
heads remain parked longer.

When running Tomboy (Fedora 9 default Gnome panel configuration), I have three
load/unload cycles per minute. When not running Tomboy, this goes down to one or
less per minute.

iotop has shown me that this command keeps accessing I/O for writing:

mono /usr/lib64/tomboy/Tomboy.exe --panel-applet
--oaf-activate-iid=OAFIID:TomboyApplet_Factory --oaf-ior-fd=32

New laptop hard disks are designed to park the heads in case of no activity
after a few seconds. The number of seconds is up to the manufacturer. This helps
the laptop consume less power, generate less heat, and resist shock better. A
software program that wakes up the hard disk for read/write operations
frecuently is undesirable in a laptop computer, since this means more
load/unload cycles, thus a shorter hard disk lifespan.

Version-Release number of selected component (if applicable):


How reproducible:

Keep Tomboy running in your panel. In some laptops, like my Dell XPS M1530,
you'll hear constant frecuent clicking of the hard disk as it loads/unloads
heads. This will be heard each 20 seconds aproximately, or even less. Clicking
every 1.5 minutes or more is acceptable.

Steps to Reproduce:
1. Put Tomboy in your panel.
2. Run iostat -ob.
3. Watch as Tomboy accesses your hard disk for write operations every 20 seconds

Expected results:

Tomboy should run silently and not wake up the hard disk at regular intervals.
Comment 1 sangu 2008-10-14 22:47:24 EDT
[Tomboy] Writes to disk every 40s : http://bugzilla.gnome.org/show_bug.cgi?id=514434
- See Also [mono] ~/.wapi/shared_* updates vs. power savings : https://bugzilla.novell.com/show_bug.cgi?id=434566#c2

Also, similar issue happens in gnome-do.
Comment 2 Jesse Keating 2008-10-20 19:34:39 EDT
I think this is the same as bug 454574  Can this be closed as a dupe of that one?
Comment 3 Bug Zapper 2009-06-09 22:17:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 14:19:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.